FailureStrategy (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, enum: FailureStrategy

Package com.install4j.api.beaninfo

# Enum Class FailureStrategy

java.lang.Object
java.lang.Enum<FailureStrategy>
com.install4j.api.beaninfo.FailureStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<FailureStrategy>`, `Constable`

public enum FailureStrategy extends Enum<FailureStrategy>
Enumeration class for all possible failure strategies of actions.

See Also:
  - `ActionBeanInfo.setDefaultFailureStrategy(FailureStrategy)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASK_USER`
  Ask the user what to do when an action fails.
  `ASK_USER_RETRY`
  Deprecated.
  use `ASK_USER` instead, the questions that are selected by default are now set individually with `ActionBeanInfo.setAskUserFailureDefaults(AskUserFailureDefaults)`.
  `CONTINUE`
  Continue after a failure.
  `QUIT`
  Quit after a failure.
  `RETURN_TO_SCREEN`
  No further actions will be executed, and the previous screen will be displayed again.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Convert to an int value.
  `static FailureStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FailureStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUE

    public static final FailureStrategy CONTINUE
    Continue after a failure.

  - ### QUIT

    public static final FailureStrategy QUIT
    Quit after a failure.

  - ### ASK_USER

    public static final FailureStrategy ASK_USER
    Ask the user what to do when an action fails. By default, The user can retry the action, ignore the error or quit the installer application. The enabled questions can be selected in the IDE, the questions that are selected by default are configured with `ActionBeanInfo.setAskUserFailureDefaults(AskUserFailureDefaults)`.

  - ### ASK_USER_RETRY

    @Deprecated public static final FailureStrategy ASK_USER_RETRY
    Deprecated.
    use `ASK_USER` instead, the questions that are selected by default are now set individually with `ActionBeanInfo.setAskUserFailureDefaults(AskUserFailureDefaults)`.
    Ask the user whether to continue, to retry or to quit.

  - ### RETURN_TO_SCREEN

    public static final FailureStrategy RETURN_TO_SCREEN
    No further actions will be executed, and the previous screen will be displayed again. If the action is contained in the startup node, the first screen will be displayed.

- ## Method Details

  - ### values

    public static FailureStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FailureStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Convert to an int value.
    Returns:
      the int value